Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.usermgmt.servlets.jsp.taglib
Class CreateUserTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          com.bea.p13n.usermgmt.servlets.jsp.taglib.UserManagementTag
              com.bea.p13n.usermgmt.servlets.jsp.taglib.ResultTag
                  com.bea.p13n.usermgmt.servlets.jsp.taglib.CreateUserTag

All Implemented Interfaces
  UserManagementTagConstants, Serializable, javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

Deprecated Use com.bea.p13n.usermgmt.taglib.CreateUserTag

    public class CreateUserTag

extends ResultTag

Corresponds to `<um:createUser>`.

The `<um:createUser>` tag creates a new `com.beasys.commerce.axiom.contact.User` object with the specified name and profile type, and sets the user's password to the given password. If the `saveAnonymous` attribute is "true", and an AnonymousProfile exists, any properties defined in the AnonymousProfile will be set for the new user. The tag has no enclosed body.

Note: This tag should only be invoked when the `weblogic.security.realmClass` property in the `weblogic.properties` file is `com.beasys.commerce.axiom.contact.security.RDBMSRealm`.

Tag Attribute | Required | Type | Description
username | yes | String | The name of the new user. Example: "`<%=username%>`"
password | no | String | The password for the new user. Example: "`<%=password%>`"
profileType | no | String | Specifies the extended type of user (for example, WLCS_Customer) to create a user of that type.
doPostProcess | no | String | Whether to do the post-user-creation process as an all-or-nothing operation. Unless the default tag attributes 'saveAnonymous', 'login', and 'fireEvent' (all are true) are overridden, ALL will be performed if 'doPostProcess' is true, and NONE will be performed if 'doPostProcess' is false. If any of the tag attributes 'saveAnonymous', 'login', and 'fireEvent' are overridden, 'doPostProcess' is ignored, and those attributes settings take precedence. See javadocs in com.bea.p13n.usermgmt.SessionHelper.postCreateUser() for more details on what happens during postProcessing. Defaults to true. Example: "false"
saveAnonymous | no | String | Whether to persist current anonymous user profile attributes in the newly-created user's profile during the post-user-creation process. Defaults to true. Example: "false"
fireEvent | no | String | Whether to fire a UserRegistrationEvent when the user is created during the post-user-creation process. Defaults to true. Example: "false"
login | no | String | Whether to login the user during the post-user-creation process. Defaults to true. Example: "false"
id | no | String | A variable name to which the created user object is available for the duration of the page's scope.
result | yes | String | The name of an Integer variable to which the result of the create user operation is assigned. Possible values: Success: `UserManagementTagConstants.CREATE_USER_OK` Error Encountered: `UserManagementTagConstants.CREATE_USER_FAILED` A user with the specified username already exists: `UserManagementTagConstants.USER_EXISTS`

See Also
  Serialized Form

Field Summary

Fields inherited from class com.bea.p13n.usermgmt.servlets.jsp.taglib.ResultTag
`result`

Fields inherited from class com.bea.p13n.usermgmt.servlets.jsp.taglib.UserManagementTag
`GROUP_MGR_REF, USER_MGR_REF`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface com.bea.p13n.usermgmt.servlets.jsp.taglib.UserManagementTagConstants
`ADD_GROUP_FAILED, ADD_GROUP_OK, ADD_USER_FAILED, ADD_USER_OK, CREATE_GROUP_FAILED, CREATE_GROUP_OK, CREATE_USER_FAILED, CREATE_USER_OK, DEFAULT_SEARCH_EXP, DEFAULT_USER_LIMIT, GET_PROFILE_FAILED, GET_PROFILE_OK, GROUP_CHANGE_FAILED, GROUP_CHANGE_OK, GROUP_EXISTS, LOGIN_ERROR, LOGIN_FAILED, LOGIN_OK, NO_SUCH_PROFILE, NO_SUCH_SUCCESSOR, REMOVE_GROUP_FAILED, REMOVE_GROUP_OK, REMOVE_USER_FAILED, REMOVE_USER_OK, RESERVED_GROUP_NAME, RESERVED_USER_NAME, SET_PASSWORD_FAILED, SET_PASSWORD_OK, SET_PROPERTY_FAILED, SET_PROPERTY_OK, USER_EXISTS, USER_LIMIT_EXCEEDED, USER_SEARCH_FAILED, USER_SEARCH_OK`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`CreateUserTag()` Deprecated

Method Summary
`int` | `doStartTag()` Deprecated Create a User through the UserManager session bean, and optionally transfer properties from an AnonymousProfile to the new User.
`String` | `getDoPostProcess()` Deprecated Get the flag to do the post-user-creation process.
`String` | `getFireEvent()` Deprecated Get the flag to fire a UserRegistrationEvent
`String` | `getLogin()` Deprecated Get the flag to do the login during post-user-creation process.
`String` | `getPassword()` Deprecated Get the password of the new user
`String` | `getProfileType()` Deprecated Get the new user's profile type
`String` | `getSaveAnonymous()` Deprecated Get the flag to transfer the AnonymousProfile to the new user
`String` | `getUsername()` Deprecated Get the name of the new user
`void` | `release()` Deprecated Reset all tag attributes
`void` | `setDoPostProcess(String s)` Deprecated Set the flag to do the post-user-creation process.
`void` | `setFireEvent(String s)` Deprecated Set the flag to fire a UserRegistrationEvent
`void` | `setLogin(String s)` Deprecated Set the flag to do the login during post-user-creation process.
`void` | `setPassword(String s)` Deprecated Set the password of the new user
`void` | `setProfileType(String s)` Deprecated Set the new user's profile type
`void` | `setSaveAnonymous(String s)` Deprecated Set the flag to transfer the AnonymousProfile to the new user
`void` | `setUsername(String s)` Deprecated Set the name of the new user

Methods inherited from class com.bea.p13n.usermgmt.servlets.jsp.taglib.ResultTag
`getResult, setResult`

Methods inherited from class com.bea.p13n.usermgmt.servlets.jsp.taglib.UserManagementTag
`getGroupManager, getUserManager`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, doEndTag, findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CreateUserTag

    public CreateUserTag()

  Deprecated

Method Detail

### doStartTag

    public int doStartTag()
                   throws javax.servlet.jsp.JspException

  Deprecated
  Create a User through the UserManager session bean, and optionally transfer properties from an AnonymousProfile to the new User.

  Specified by:
    `doStartTag` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `doStartTag` in class `javax.servlet.jsp.tagext.TagSupport`
  Throws
    `javax.servlet.jsp.JspException`

### release

    public void release()

  Deprecated
  Reset all tag attributes

  Specified by:
    `release` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `release` in class `ResultTag`

### getUsername

    public String getUsername()

  Deprecated
  Get the name of the new user

### setUsername

    public void setUsername(String s)

  Deprecated
  Set the name of the new user

### getPassword

    public String getPassword()

  Deprecated
  Get the password of the new user

### setPassword

    public void setPassword(String s)

  Deprecated
  Set the password of the new user

### getDoPostProcess

    public String getDoPostProcess()

  Deprecated
  Get the flag to do the post-user-creation process.

### setDoPostProcess

    public void setDoPostProcess(String s)

  Deprecated
  Set the flag to do the post-user-creation process.

### getSaveAnonymous

    public String getSaveAnonymous()

  Deprecated
  Get the flag to transfer the AnonymousProfile to the new user

### setSaveAnonymous

    public void setSaveAnonymous(String s)

  Deprecated
  Set the flag to transfer the AnonymousProfile to the new user

### getFireEvent

    public String getFireEvent()

  Deprecated
  Get the flag to fire a UserRegistrationEvent

### setFireEvent

    public void setFireEvent(String s)

  Deprecated
  Set the flag to fire a UserRegistrationEvent

### getLogin

    public String getLogin()

  Deprecated
  Get the flag to do the login during post-user-creation process.

### setLogin

    public void setLogin(String s)

  Deprecated
  Set the flag to do the login during post-user-creation process.

### getProfileType

    public String getProfileType()

  Deprecated
  Get the new user's profile type

### setProfileType

    public void setProfileType(String s)

  Deprecated
  Set the new user's profile type

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.